//
//  FYAMLoadBannerInfo.h
//  FYADMediationDemo
//
//  Created by feiyu on 2021/11/4.
//  Copyright © 2021 feiyu. All rights reserved.
//

#import <FYADMediation/FYAMInfo.h>

typedef NS_ENUM(NSInteger, FYAMBannerHorizontalPosition) {
    FYAMBannerHorizontalLeft = 1,   // 水平靠左
    FYAMBannerHorizontalCenter = 2, // 水平居中
    FYAMBannerHorizontalRight = 3,  // 水平靠右

};

typedef NS_ENUM(NSInteger, FYAMBannerVerticalPosition) {
    FYAMBannerVerticalUp = 1,       // 垂直向上
    FYAMBannerVerticalCenter = 2,   // 垂直居中
    FYAMBannerVerticalDown = 3,     // 垂直向下

};


@interface FYAMLoadBannerInfo : FYAMInfo
/// 水平位置，"1":靠左，"2":居中，"3":靠右。默认值"2"
@property (nonatomic, copy) NSString *horizontalPosition;
/// 垂直位置，"1":靠上，"2":居中，"3":靠下。默认值"3"
@property (nonatomic, copy) NSString *verticalPosition;

@end

