//
//  FYVAReward.h
//  FYVirtualADDemo
//
//  Created by 周永桂 on 2021/11/10.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface FYVAReward : NSObject
/// 加载成功
@property (nonatomic, copy) void(^onLoaded)(void);
/// 加载失败
@property (nonatomic, copy) void(^onFailed)(void);
/// 展示成功
@property (nonatomic, copy) void(^onShowed)(void);
/// 关闭
@property (nonatomic, copy) void(^onClosed)(void);
/// 点击
@property (nonatomic, copy) void(^onClicked)(void);
/// 下发奖励
@property (nonatomic, copy) void(^onRewarded)(void);

/// 请使用次方法初始化
+ (instancetype)initWithAdId:(NSString *)adId;

/// 加载
- (void)load;

/// 加载
- (void)show;

@end

NS_ASSUME_NONNULL_END
