//
//  FYAMCallback.h
//  FYADMediationDemo
//
//  Created by feiyu on 2021/11/4.
//  Copyright © 2021 feiyu. All rights reserved.
//

#import <FYCore/FYCResponse.h>

typedef NS_ENUM(NSInteger, FYAMCallbackStatus) {
    FYAMResponsInitSuccess              = 210101,   // 初始化成功
    FYAMResponsInitFailure              = 210102,   // 初始化失败

    FYAMResponseRewardSuccess           = 210201,   // 激励--下发奖励
    FYAMResponseRewardShowFailure       = 210202,   // 激励--展示失败
    FYAMResponseRewardClick             = 210203,   // 激励--点击
    FYAMResponseRewardClose             = 210204,   // 激励--关闭
    FYAMResponseRewardShow              = 210205,   // 激励 -- 展示
    FYAMResponseRewardLoadFailure       = 210206,   // 激励 -- 加载失败
    FYAMResponseRewardLoadSuccess       = 210207,   // 激励 -- 加载成功

    FYAMResponseBannerShow              = 210301,   // Banner -- 展示
    FYAMResponseBannerShowFailure       = 210302,   // Banner -- 展示失败
    FYAMResponseBannerClick             = 210303,   // Banner -- 点击
    FYAMResponseBannerClose             = 210304,   // Banner -- 关闭
    FYAMResponseBannerLoadFailure       = 210305,   // Banner -- 加载失败
    FYAMResponseBannerLoadSuccess       = 210306,   // Banner -- 加载成功

    FYAMResponseInterstitialShow        = 210401,   // 插屏 -- 展示
    FYAMResponseInterstitialShowFailure = 210402,   // 插屏 -- 失败
    FYAMResponseInterstitialClick       = 210403,   // 插屏 -- 点击
    FYAMResponseInterstitialClose       = 210404,   // 插屏 -- 关闭
    FYAMResponseInterstitialLoadFailure = 210405,   // 插屏 -- 加载失败
    FYAMResponseInterstitialLoadSuccess = 210406,   // 插屏 -- 加载成功

};

@interface FYAMCallback : FYCResponse
///// 游戏内展示位ID
//@property (nonatomic, copy) NSString *placement_id;


@end
